
%global meadversion 2.3.0
%global namedversion 2.3.0.SP1-redhat-1
%global meadalpha .SP1_redhat_1
%global meadrel .1
%global serial 7
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-weld-2.2-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.3.0.SP1-redhat-1

Name:           %{?scl_prefix}jboss-weld-2.2-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Weld APIs
Group:          Development/Java

%if %with mead
Source100: weld-api-build-aggregator-2.3.0.SP1-redhat-1-scm-sources.zip
Source102: weld-spi-2.3.0.SP1-redhat-1.pom
Source103: weld-spi-2.3.0.SP1-redhat-1-javadoc.jar
Source104: weld-spi-2.3.0.SP1-redhat-1-sources.jar
Source105: weld-spi-2.3.0.SP1-redhat-1.jar
Source106: weld-api-bom-2.3.0.SP1-redhat-1.pom
Source107: weld-api-parent-2.3.0.SP1-redhat-1.pom
Source108: weld-api-build-aggregator-2.3.0.SP1-redhat-1-project-sources.tar.gz
Source109: weld-api-build-aggregator-2.3.0.SP1-redhat-1.pom
Source110: weld-api-build-aggregator-2.3.0.SP1-redhat-1-javadoc.jar
Source111: weld-api-2.3.0.SP1-redhat-1-sources.jar
Source112: weld-api-2.3.0.SP1-redhat-1-javadoc.jar
Source113: weld-api-2.3.0.SP1-redhat-1.pom
Source114: weld-api-2.3.0.SP1-redhat-1.jar
%endif

License:        ASL 2.0
URL:            https://github.com/weld/api.git
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
APIs for Weld, the reference implementation of Contexts and Dependency
Injection for Java EE.

%if %with javadoc
%package javadoc
Summary:        Javadoc for weld-api-build-aggregator
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n api -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/weld-api-%{namedversion}.jar %{buildroot}%{_javadir}/weld-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/weld-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/weld-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/weld-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/weld-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/weld-spi-%{namedversion}.jar %{buildroot}%{_javadir}/weld-spi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/weld-spi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/weld-spi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/weld-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/weld-spi-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-weld-2.2-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/weld-api-build-aggregator-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-weld-2.2-api-%{namedversion} -x META-INF/\*
%{__ln_s} weld-spi-%{namedversion} %{buildroot}%{_javadocdir}/jboss-weld-2.2-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc
%defattr(0644,root,root,0755)
%{_javadir}/weld-api-%{namedversion}.jar
%{_javadir}/weld-api.jar
%if %with javadoc
%{_javadir}/weld-api-%{namedversion}-javadoc.jar
%{_javadir}/weld-api-javadoc.jar
%endif
%{_javadir}/weld-api-%{namedversion}-sources.jar
%{_javadir}/weld-api-sources.jar
%{_javadir}/weld-spi-%{namedversion}.jar
%{_javadir}/weld-spi.jar
%if %with javadoc
%{_javadir}/weld-spi-%{namedversion}-javadoc.jar
%{_javadir}/weld-spi-javadoc.jar
%endif
%{_javadir}/weld-spi-%{namedversion}-sources.jar
%{_javadir}/weld-spi-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-weld-2.2-api-%{namedversion}
%{_javadocdir}/jboss-weld-2.2-api
%endif

%changelog
* Thu Feb 18 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.3.0-7.SP1_redhat_1.1
- Upgrade to 2.3.SP1

* Tue Oct 13 2015 Hui Wang <huwang@redhat.com> - 2.3.0-6.Final_redhat_1.1
- Upgrade to 2.3.0.Final-redhat-1

* Mon Sep 21 2015 David Walluck <dwalluck@redhat.com> - 2.3.0-5.CR1_redhat_2.1
- fix manifest

* Mon Aug 24 2015 Lin Gao <lgao@redhat.com> - 2.3.0-4.CR1_redhat_1.1
- Upgrade to 2.3.0.CR1-redhat-1

* Tue Jul 14 2015 David Walluck <dwalluck@redhat.com> - 2.3.0-3.Beta2_redhat_1.1
- 2.3.Beta2

* Thu Jul 02 2015 David Walluck <dwalluck@redhat.com> - 2.3.0-1.Beta1_redhat_1.1
- 2.3.Beta1

* Wed Jun 17 2015 David Walluck <dwalluck@redhat.com> - 2.2.0-1.SP4_redhat_1.1
- release

